This project is read-only.

update ocx

Jan 26, 2011 at 8:32 AM

hi all!

i need to update my ocx to last version. I've used it in a vc++ project (vs2008).

-where can i find the last ocx?

-how can i update the ocx simply, without having troubles in my vc++ project?

 

Thanks all folks!

Seum

Jan 31, 2011 at 7:39 AM
Hi Seum,

I hope you are able to use the latest OCX which is downloadable from this site. I'm not sure how to help eliminate the "troubles in my VC++ project" since I don't know what those troubles are! Please share. :)

- Dan

On Wed, Jan 26, 2011 at 1:32 AM, seum <notifications@codeplex.com> wrote:

From: seum

hi all!

i need to update my ocx to last version. I've used it in a vc++ project (vs2008).

-where can i find the last ocx?

-how can i update the ocx simply, without having troubles in my vc++ project?

Thanks all folks!

Seum

Read the full discussion online.

To add a post to this discussion, reply to this email (mapwingis@discussions.codeplex.com)

To start a new discussion for this project, email mapwingis@discussions.codeplex.com

You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe or change your settings on codePlex.com.

Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at codeplex.com




--
Daniel P. Ames, Ph.D. PE
Associate Professor, Geosciences
Idaho State University - Idaho Falls
amesdani@isu.edu
geology.isu.edu
www.mapwindow.org


Jan 31, 2011 at 8:56 AM

Ok, i try to explain it well.

I'm using mapwingis ocx component in vs2008 project; i add the component in the toolbox as described in the user manual.

Now, i want to update the ocx with a newer version: how can i do it?

Note that the previous ocx is installed on the machine (i've used the .msi in mapwindow site).

Is it clear now?

Thanks!

Feb 2, 2011 at 12:31 AM
Just replace the old OCX with the new one. Should work fine. They only use a single GUID in the registry so it's not a problem to replace the old file with the new one and keep working as normal.

On Mon, Jan 31, 2011 at 1:57 AM, seum <notifications@codeplex.com> wrote:

From: seum

Ok, i try to explain it well.

I'm using mapwingis ocx component in vs2008 project; i add the component in the toolbox as described in the user manual.

Now, i want to update the ocx with a newer version: how can i do it?

Note that the previous ocx is installed on the machine (i've used the .msi in mapwindow site).

Is it clear now?

Thanks!

Read the full discussion online.

To add a post to this discussion, reply to this email (mapwingis@discussions.codeplex.com)

To start a new discussion for this project, email mapwingis@discussions.codeplex.com

You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe or change your settings on codePlex.com.

Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at codeplex.com




--
Daniel P. Ames, Ph.D. PE
Associate Professor, Geosciences
Idaho State University - Idaho Falls
amesdani@isu.edu
geology.isu.edu
www.mapwindow.org


Feb 2, 2011 at 8:48 AM

I've tried to do it, but after that, in vs2008 project, the ocx is missing...and if i add it in the toolbox, i have compilation problems...

maybe i cannot upgrade the ocx in a project in which i've used the old one, is it true?

Feb 2, 2011 at 9:20 AM

Did you compile the ocx yourself or are you using the weekly build from http://svn.mapwindow.org/svnroot/MapWindow4Dev/Bin/

If you use the weekly build you also need the mapwingis.interop.dll and the axmapwingis.interop.dll and don't forget to register the ocx again using regMapWinGIS.cmd

Will that help?

Feb 2, 2011 at 10:40 AM

thanks!

i will try soon and i update the post!

Thanks!

Feb 4, 2011 at 1:53 PM

where can i find the other dll's?

i've tried to download source code and rebuild it, but it doesn't work...

any suggestion?

Feb 5, 2011 at 12:37 AM

The libraries are here:

http://svn.mapwindow.org/svnroot/SupportLibraries/

You should download the whole folder, it's quite large ;)